kind: Deployment
apiVersion: apps/v1
metadata:
  name: netbox
  namespace: default
  labels:
    app: netbox
    app.kubernetes.io/instance: netbox
spec:
  strategy:
    type: Recreate
  replicas: 1
  revisionHistoryLimit: 5
  selector:
    matchLabels:
      app: netbox
  template:
    metadata:
      labels:
        app: netbox
    spec:
      securityContext:
        runAsGroup: 0
        runAsUser: 101
      volumes:
        - name: netbox-media-files
          persistentVolumeClaim:
            claimName: netbox-media-files
      containers:
        - name: netbox
          image: 'netboxcommunity/netbox:v3.0.7'
          readinessProbe:
            tcpSocket:
              port: 8080
            initialDelaySeconds: 10
            periodSeconds: 30
            failureThreshold: 3
          livenessProbe:
            tcpSocket:
              port: 8080
            initialDelaySeconds: 100
            periodSeconds: 10
            failureThreshold: 3
          env:
            - name: CORS_ORIGIN_ALLOW_ALL
              value: 'True'
            - name: DB_HOST
              value: netbox-postgresql
            - name: DB_NAME
              value: netbox
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-postgresql
                  key: postgresql-password
            - name: DB_USER
              value: postgres
            - name: EMAIL_FROM
              value: netbox@bar.com
            - name: EMAIL_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: EMAIL_PASSWORD
            - name: EMAIL_PORT
              value: '25'
            - name: EMAIL_SERVER
              value: localhost
            - name: EMAIL_SSL_CERTFILE
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: EMAIL_SSL_CERTFILE
            - name: EMAIL_SSL_KEYFILE
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: EMAIL_SSL_KEYFILE
            - name: EMAIL_TIMEOUT
              value: '5'
            - name: EMAIL_USERNAME
              value: netbox
            - name: EMAIL_USE_SSL
              value: 'false'
            - name: EMAIL_USE_TLS
              value: 'false'
            - name: MAX_PAGE_SIZE
              value: '1000'
            - name: MEDIA_ROOT
              value: /opt/netbox/netbox/media
            - name: METRICS_ENABLED
              value: 'false'
            - name: NAPALM_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: NAPALM_PASSWORD
            - name: NAPALM_TIMEOUT
              value: '10'
            - name: NAPALM_USERNAME
              value: ''
            - name: REDIS_CACHE_DATABASE
              value: '1'
            - name: REDIS_CACHE_HOST
              value: netbox-rediscache-master
            - name: REDIS_CACHE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-rediscache
                  key: redis-password
            - name: REDIS_CACHE_SSL
              value: 'false'
            - name: REDIS_DATABASE
              value: '0'
            - name: REDIS_HOST
              value: netbox-redis-master
            - name: REDIS_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-redis
                  key: redis-password
            - name: REDIS_SSL
              value: 'false'
            - name: RELEASE_CHECK_URL
              value: 'https://api.github.com/repos/netbox-community/netbox/releases'
            - name: SECRET_KEY
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: SECRET_KEY
            - name: SKIP_STARTUP_SCRIPTS
              value: 'false'
            - name: SKIP_SUPERUSER
              value: 'false'
            - name: SUPERUSER_API_TOKEN
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: SUPERUSER_API_TOKEN
            - name: SUPERUSER_EMAIL
              value: admin@example.com
            - name: SUPERUSER_NAME
              value: admin
            - name: SUPERUSER_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-secret
                  key: SUPERUSER_PASSWORD
            - name: WEBHOOKS_ENABLED
              value: 'true'
          volumeMounts:
            - name: netbox-media-files
              mountPath: /opt/netbox/netbox/media
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
